function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"2",100,"messageinfo")  
-- return;end;
showoptons(0);
return;end;

function mini_create ()
show_help_wnd=true;
			init_mini(1);
			create_mini(8128);
end;

function gameinput (sender,id,attachedID)


	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"2",100,"messageinfo")
		end;		
	BlockCursor(false);
	if id==17 then
		
		finish_mini_game(true);
	return;end;		
	return;end;

	-- if sender==21 then
		-- if id==14 then
			-- speciale_action(2,14);
			-- speciale_action(2,13);
		-- return;end;	
	-- return;end;	
	if sender==37 then
	   skipping=true;
	return;end;	

	
	if sender==30 then
	setcurentleaf("robert_room",5,0);
	--Emitters(true);
	DarkScreen(false);
		if flags.minicomplete1 then
		    StopEmiter("Urna")
			collaps_obj(100,0,0,0,0);
			setcolor(100,0,0,0,0.5,1);
			flags.minitext1=true
			Set_Cursor(42,3);

		return; end;	
	return; end;

	if sender==36 then
	if id==2100 then
		BlockCursor(false);
		clear_satelite_leaf("robert_room");
	return;end;	
	return;end;
	if sender==10 then
	    flags.minicomplete1=true;
		playeffect("miniC");
		StartTimer(2100,2)
		BlockCursor(true);
	return; end;

	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;	
	
	if sender==1 then
		if id==6000 then
			CreateWindow(200,200,"2",100,"messageinfo") 
		return;end;		
		if id==12 then
			playeffect("close");
			finish_mini_game(false);
			clear_satelite_leaf("robert_room");
			DeleteResource("am0000");
			DeleteResource("am0001");
			DeleteResource("am0002");
			DeleteResource("am0003");
			DeleteResource("am0004");
			DeleteResource("am0005");
			DeleteResource("am0006");		
			DeleteResource("am0007");	
			DeleteResource("am0008");
			DeleteResource("am0009");		
			DeleteResource("am0010");			
			DeleteResource("am0011");
			DeleteResource("am0012");
			DeleteResource("am0013");
			DeleteResource("am0014");
			DeleteResource("am0015");
			DeleteResource("am0017");
		return;end;
		if id==5000 and skipping then
		playeffect("skip");
			if not flags.minicomplete1 then
				speciale_action(2,9);
				speciale_action(2,17,true,3);
			--	finish_mini_game(true);	
			return;end;		
		return;end;	
		if id==9 then
		     speciale_action(2,9);
		    speciale_action(2,17,true,3);
		--	speciale_action(2,2000);	
			--ScaleObject(17,1,1.1);	
		return;end;
		

		
	return; end;			
end;